searchData={"items":[{"type":"module","title":"TmdbElixir.Configuration","doc":"Used for making calls related to configuration details.","ref":"TmdbElixir.Configuration.html"},{"type":"function","title":"TmdbElixir.Configuration.configuration/0","doc":"Get API configuration details.\n\nReturns a map configuration data API.\n\nSee [TMDb Docs](https://developer.themoviedb.org/reference/configuration-details) for more info.","ref":"TmdbElixir.Configuration.html#configuration/0"},{"type":"function","title":"Examples - TmdbElixir.Configuration.configuration/0","doc":"iex> TmdbElixir.Configuration.configuration()\n    %{\n      \"images\" => %{\n        ...\n      },\n      ...\n    }","ref":"TmdbElixir.Configuration.html#configuration/0-examples"},{"type":"module","title":"TmdbElixir.Movies","doc":"Used for making calls related to movies.","ref":"TmdbElixir.Movies.html"},{"type":"function","title":"TmdbElixir.Movies.find/2","doc":"Get the top level details of a movie by ID.\n\nReturns a map with data for the corresponding movie.\n\nAccepts query params listed in the [TMDb Docs](https://developer.themoviedb.org/reference/movie-details) in the form of a map.","ref":"TmdbElixir.Movies.html#find/2"},{"type":"function","title":"Examples - TmdbElixir.Movies.find/2","doc":"iex> TmdbElixir.Movies.find(11836)\n    %{\n      \"title\" => \"The SpongeBob SquarePants Movie\",\n      ...\n    }","ref":"TmdbElixir.Movies.html#find/2-examples"},{"type":"function","title":"TmdbElixir.Movies.popular/1","doc":"Get a list of movies ordered by popularity.\n\nReturns a map with a paginated list of popular movies.\n\nAccepts query params listed in the [TMDb Docs](https://developer.themoviedb.org/reference/movie-popular-list) in the form of a map.","ref":"TmdbElixir.Movies.html#popular/1"},{"type":"function","title":"Examples - TmdbElixir.Movies.popular/1","doc":"iex> TmdbElixir.Movies.popular()\n    %{\n      \"page\" => 1,\n      \"results\" => [\n        ...\n      ],,\n      \"total_pages\" => 10,\n      \"total_results\" => 250\n    }","ref":"TmdbElixir.Movies.html#popular/1-examples"},{"type":"module","title":"TmdbElixir.People","doc":"Used for making calls related to people (actors and crew members).","ref":"TmdbElixir.People.html"},{"type":"function","title":"TmdbElixir.People.find/2","doc":"Get the top level details of a person by ID.\n\nReturns a map with data for the corresponding person.\n\nAccepts query params listed in the [TMDb Docs](https://developer.themoviedb.org/reference/person-details) in the form of a map.","ref":"TmdbElixir.People.html#find/2"},{"type":"function","title":"Examples - TmdbElixir.People.find/2","doc":"iex> TmdbElixir.People.find(287)\n    %{\n      \"name\" => \"Brad Pitt\",\n      ...\n    }","ref":"TmdbElixir.People.html#find/2-examples"},{"type":"module","title":"TmdbElixir.Search","doc":"Used for making calls to search within TMDb.","ref":"TmdbElixir.Search.html"},{"type":"function","title":"TmdbElixir.Search.movies/2","doc":"Search for movies by their original, translated and alternative titles.\n\nReturns a map with a paginated list of movie search results.\n\nAccepts query params listed in the [TMDb Docs](https://developer.themoviedb.org/reference/search-movie) in the form of a map.","ref":"TmdbElixir.Search.html#movies/2"},{"type":"function","title":"Examples - TmdbElixir.Search.movies/2","doc":"iex> TmdbElixir.Search.movies(\"spongebob\")\n    %{\n      \"page\" => 1,\n      \"results\" => [\n        %{\n          \"title\" => \"The SpongeBob SquarePants Movie\",\n          ...\n        },\n        ...\n      ],,\n      \"total_pages\" => 10,\n      \"total_results\" => 250\n    }","ref":"TmdbElixir.Search.html#movies/2-examples"},{"type":"function","title":"TmdbElixir.Search.people/2","doc":"Search for people by their name and also known as names.\n\nReturns a map with a paginated list of person search results.\n\nAccepts query params listed in the [TMDb Docs](https://developer.themoviedb.org/reference/search-person) in the form of a map.","ref":"TmdbElixir.Search.html#people/2"},{"type":"function","title":"Examples - TmdbElixir.Search.people/2","doc":"iex> TmdbElixir.Search.people(\"brad pitt\")\n    %{\n      \"page\" => 1,\n      \"results\" => [\n        %{\n          \"name\" => \"Brad Pitt\",\n          ...\n        },\n        ...\n      ],,\n      \"total_pages\" => 10,\n      \"total_results\" => 250\n    }","ref":"TmdbElixir.Search.html#people/2-examples"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.35.1"}}